<?php
/*
Plugin Name: KJV Verse of the Day
Plugin URI: https://arkaspect.com
Description: Displays a random Bible verse from the King James Version (KJV) each day.
Version: 1.0
Author: Ark Aspect
Author URI: https://arkapsect.com
*/

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

class KJV_Verse_Of_The_Day {

    private $verses = array(
        'John 3:16' => 'For God so loved the world, that he gave his only begotten Son, that whosoever believeth in him should not perish, but have everlasting life.',
        'Psalm 23:1' => 'The LORD is my shepherd; I shall not want.',
        'Romans 8:28' => 'And we know that all things work together for good to them that love God, to them who are the called according to his purpose.',
        'Proverbs 3:5' => 'Trust in the LORD with all thine heart; and lean not unto thine own understanding.',
        'Philippians 4:13' => 'I can do all things through Christ which strengtheneth me.',
        'Genesis 1:1' => 'In the beginning God created the heaven and the earth.',
        'Matthew 6:33' => 'But seek ye first the kingdom of God, and his righteousness; and all these things shall be added unto you.',
        'Isaiah 40:31' => 'But they that wait upon the LORD shall renew their strength; they shall mount up with wings as eagles; they shall run, and not be weary; and they shall walk, and not faint.',
        'Hebrews 11:1' => 'Now faith is the substance of things hoped for, the evidence of things not seen.',
        'Jeremiah 29:11' => 'For I know the thoughts that I think toward you, saith the LORD, thoughts of peace, and not of evil, to give you an expected end.',
        'James 1:5' => 'If any of you lack wisdom, let him ask of God, that giveth to all men liberally, and upbraideth not; and it shall be given him.',
        'Psalm 27:1' => 'The LORD is my light and my salvation; whom shall I fear? The LORD is the strength of my life; of whom shall I be afraid?',
        'Proverbs 16:3' => 'Commit thy works unto the LORD, and thy thoughts shall be established.',
        '2 Corinthians 5:7' => 'For we walk by faith, not by sight.',
        '1 Corinthians 13:4-5' => 'Charity suffereth long, and is kind; charity envieth not; charity vaunteth not itself, is not puffed up, Doth not behave itself unseemly, seeketh not her own, is not easily provoked, thinketh no evil;',
        'Ephesians 2:8' => 'For by grace are ye saved through faith; and that not of yourselves: it is the gift of God:',
        'Psalm 46:1' => 'God is our refuge and strength, a very present help in trouble.',
        '1 Peter 5:7' => 'Casting all your care upon him; for he careth for you.',
        'Romans 12:2' => 'And be not conformed to this world: but be ye transformed by the renewing of your mind, that ye may prove what is that good, and acceptable, and perfect, will of God.',
        'Isaiah 41:10' => 'Fear thou not; for I am with thee: be not dismayed; for I am thy God: I will strengthen thee; yea, I will help thee; yea, I will uphold thee with the right hand of my righteousness.',
        'Galatians 5:22-23' => 'But the fruit of the Spirit is love, joy, peace, longsuffering, gentleness, goodness, faith, Meekness, temperance: against such there is no law.',
        'Matthew 5:16' => 'Let your light so shine before men, that they may see your good works, and glorify your Father which is in heaven.',
        'Philippians 4:6-7' => 'Be careful for nothing; but in every thing by prayer and supplication with thanksgiving let your requests be made known unto God. And the peace of God, which passeth all understanding, shall keep your hearts and minds through Christ Jesus.',
        'Colossians 3:23' => 'And whatsoever ye do, do it heartily, as to the Lord, and not unto men;',
        'Joshua 1:9' => 'Have not I commanded thee? Be strong and of a good courage; be not afraid, neither be thou dismayed: for the LORD thy God is with thee whithersoever thou goest.',
        'Matthew 11:28' => 'Come unto me, all ye that labour and are heavy laden, and I will give you rest.',
        'Psalm 119:105' => 'Thy word is a lamp unto my feet, and a light unto my path.',
        'John 14:6' => 'Jesus saith unto him, I am the way, the truth, and the life: no man cometh unto the Father, but by me.',
        'Romans 3:23' => 'For all have sinned, and come short of the glory of God;',
        'John 16:33' => 'These things I have spoken unto you, that in me ye might have peace. In the world ye shall have tribulation: but be of good cheer; I have overcome the world.',
        'Proverbs 18:10' => 'The name of the LORD is a strong tower: the righteous runneth into it, and is safe.',
        '1 John 1:9' => 'If we confess our sins, he is faithful and just to forgive us our sins, and to cleanse us from all unrighteousness.',
        'John 15:13' => 'Greater love hath no man than this, that a man lay down his life for his friends.',
        'Romans 10:9' => 'That if thou shalt confess with thy mouth the Lord Jesus, and shalt believe in thine heart that God hath raised him from the dead, thou shalt be saved.',
        'Matthew 7:7' => 'Ask, and it shall be given you; seek, and ye shall find; knock, and it shall be opened unto you:',
        '2 Timothy 1:7' => 'For God hath not given us the spirit of fear; but of power, and of love, and of a sound mind.',
        'Isaiah 26:3' => 'Thou wilt keep him in perfect peace, whose mind is stayed on thee: because he trusteth in thee.',
        'Hebrews 13:5' => 'Let your conversation be without covetousness; and be content with such things as ye have: for he hath said, I will never leave thee, nor forsake thee.',
        'Psalm 37:4' => 'Delight thyself also in the LORD; and he shall give thee the desires of thine heart.',
        'John 1:1' => 'In the beginning was the Word, and the Word was with God, and the Word was God.',
        'Psalm 91:1' => 'He that dwelleth in the secret place of the most High shall abide under the shadow of the Almighty.',
        'Psalm 55:22' => 'Cast thy burden upon the LORD, and he shall sustain thee: he shall never suffer the righteous to be moved.',
        'Romans 6:23' => 'For the wages of sin is death; but the gift of God is eternal life through Jesus Christ our Lord.',
        'Matthew 6:9-13' => 'After this manner therefore pray ye: Our Father which art in heaven, Hallowed be thy name. Thy kingdom come. Thy will be done in earth, as it is in heaven. Give us this day our daily bread. And forgive us our debts, as we forgive our debtors. And lead us not into temptation, but deliver us from evil: For thine is the kingdom, and the power, and the glory, for ever. Amen.',
        'Romans 5:8' => 'But God commendeth his love toward us, in that, while we were yet sinners, Christ died for us.',
        'Psalm 34:8' => 'O taste and see that the LORD is good: blessed is the man that trusteth in him.',
        'John 8:32' => 'And ye shall know the truth, and the truth shall make you free.',
        'Ephesians 6:10' => 'Finally, my brethren, be strong in the Lord, and in the power of his might.',
        'Psalm 19:14' => 'Let the words of my mouth, and the meditation of my heart, be acceptable in thy sight, O LORD, my strength, and my redeemer.',
        '1 Corinthians 10:13' => 'There hath no temptation taken you but such as is common to man: but God is faithful, who will not suffer you to be tempted above that ye are able; but will with the temptation also make a way to escape, that ye may be able to bear it.',
        'Hebrews 4:12' => 'For the word of God is quick, and powerful, and sharper than any twoedged sword, piercing even to the dividing asunder of soul and spirit, and of the joints and marrow, and is a discerner of the thoughts and intents of the heart.',
        'Psalm 139:23-24' => 'Search me, O God, and know my heart: try me, and know my thoughts: And see if there be any wicked way in me, and lead me in the way everlasting.',
        'Isaiah 53:5' => 'But he was wounded for our transgressions, he was bruised for our iniquities: the chastisement of our peace was upon him; and with his stripes we are healed.',
        'Galatians 2:20' => 'I am crucified with Christ: nevertheless I live; yet not I, but Christ liveth in me: and the life which I now live in the flesh I live by the faith of the Son of God, who loved me, and gave himself for me.',
        'Romans 15:13' => 'Now the God of hope fill you with all joy and peace in believing, that ye may abound in hope, through the power of the Holy Ghost.',
        'Psalm 30:5' => 'For his anger endureth but a moment; in his favour is life: weeping may endure for a night, but joy cometh in the morning.',
        '2 Corinthians 12:9' => 'And he said unto me, My grace is sufficient for thee: for my strength is made perfect in weakness. Most gladly therefore will I rather glory in my infirmities, that the power of Christ may rest upon me.',
        'Isaiah 55:8-9' => 'For my thoughts are not your thoughts, neither are your ways my ways, saith the LORD. For as the heavens are higher than the earth, so are my ways higher than your ways, and my thoughts than your thoughts.',
        'Proverbs 3:6' => 'In all thy ways acknowledge him, and he shall direct thy paths.',
        'Philippians 1:6' => 'Being confident of this very thing, that he which hath begun a good work in you will perform it until the day of Jesus Christ:',
        'Psalm 46:10' => 'Be still, and know that I am God: I will be exalted among the heathen, I will be exalted in the earth.',
        'John 10:10' => 'The thief cometh not, but for to steal, and to kill, and to destroy: I am come that they might have life, and that they might have it more abundantly.',
        'Matthew 22:37' => 'Jesus said unto him, Thou shalt love the Lord thy God with all thy heart, and with all thy soul, and with all thy mind.',
        'Deuteronomy 31:6' => 'Be strong and of a good courage, fear not, nor be afraid of them: for the LORD thy God, he it is that doth go with thee; he will not fail thee, nor forsake thee.',
        'Proverbs 4:23' => 'Keep thy heart with all diligence; for out of it are the issues of life.',
        'Psalm 62:6' => 'He only is my rock and my salvation: he is my defence; I shall not be moved.',
        'Matthew 18:20' => 'For where two or three are gathered together in my name, there am I in the midst of them.',
        'Romans 8:1' => 'There is therefore now no condemnation to them which are in Christ Jesus, who walk not after the flesh, but after the Spirit.',
        'Luke 6:38' => 'Give, and it shall be given unto you; good measure, pressed down, and shaken together, and running over, shall men give into your bosom. For with the same measure that ye mete withal it shall be measured to you again.',
        'Psalm 139:14' => 'I will praise thee; for I am fearfully and wonderfully made: marvellous are thy works; and that my soul knoweth right well.',
        '2 Corinthians 5:17' => 'Therefore if any man be in Christ, he is a new creature: old things are passed away; behold, all things are become new.',
        'Romans 8:18' => 'For I reckon that the sufferings of this present time are not worthy to be compared with the glory which shall be revealed in us.',
        'Psalm 103:12' => 'As far as the east is from the west, so far hath he removed our transgressions from us.',
        'John 13:34' => 'A new commandment I give unto you, That ye love one another; as I have loved you, that ye also love one another.',
        '1 Peter 2:9' => 'But ye are a chosen generation, a royal priesthood, an holy nation, a peculiar people; that ye should shew forth the praises of him who hath called you out of darkness into his marvellous light:',
        '1 Thessalonians 5:16-18' => 'Rejoice evermore. Pray without ceasing. In every thing give thanks: for this is the will of God in Christ Jesus concerning you.',
        'Ephesians 3:20' => 'Now unto him that is able to do exceeding abundantly above all that we ask or think, according to the power that worketh in us,',
        '1 John 4:19' => 'We love him, because he first loved us.',
        'Micah 6:8' => 'He hath shewed thee, O man, what is good; and what doth the LORD require of thee, but to do justly, and to love mercy, and to walk humbly with thy God?',
        '2 Timothy 3:16' => 'All scripture is given by inspiration of God, and is profitable for doctrine, for reproof, for correction, for instruction in righteousness:',
        'Isaiah 40:8' => 'The grass withereth, the flower fadeth: but the word of our God shall stand for ever.',
        'Matthew 28:19' => 'Go ye therefore, and teach all nations, baptizing them in the name of the Father, and of the Son, and of the Holy Ghost:',
        'Proverbs 9:10' => 'The fear of the LORD is the beginning of wisdom: and the knowledge of the holy is understanding.',
        'Psalm 84:11' => 'For the LORD God is a sun and shield: the LORD will give grace and glory: no good thing will he withhold from them that walk uprightly.',
        'James 4:7' => 'Submit yourselves therefore to God. Resist the devil, and he will flee from you.',
        'Romans 5:1' => 'Therefore being justified by faith, we have peace with God through our Lord Jesus Christ:',
        '1 John 4:4' => 'Ye are of God, little children, and have overcome them: because greater is he that is in you, than he that is in the world.',
        'Colossians 3:2' => 'Set your affection on things above, not on things on the earth.',
        'Psalm 121:1-2' => 'I will lift up mine eyes unto the hills, from whence cometh my help. My help cometh from the LORD, which made heaven and earth.',
        'Psalm 23:4' => 'Yea, though I walk through the valley of the shadow of death, I will fear no evil: for thou art with me; thy rod and thy staff they comfort me.',
        'Proverbs 14:12' => 'There is a way which seemeth right unto a man, but the end thereof are the ways of death.',
        'Matthew 19:26' => 'But Jesus beheld them, and said unto them, With men this is impossible; but with God all things are possible.',
        'Psalm 27:14' => 'Wait on the LORD: be of good courage, and he shall strengthen thine heart: wait, I say, on the LORD.',
        'James 1:17' => 'Every good gift and every perfect gift is from above, and cometh down from the Father of lights, with whom is no variableness, neither shadow of turning.',
        'Romans 12:21' => 'Be not overcome of evil, but overcome evil with good.',
        'Matthew 5:9' => 'Blessed are the peacemakers: for they shall be called the children of God.',
        'John 3:36' => 'He that believeth on the Son hath everlasting life: and he that believeth not the Son shall not see life; but the wrath of God abideth on him.',
        'Proverbs 16:9' => 'A man’s heart deviseth his way: but the LORD directeth his steps.',
        'Psalm 119:11' => 'Thy word have I hid in mine heart, that I might not sin against thee.',
        'Matthew 4:4' => 'But he answered and said, It is written, Man shall not live by bread alone, but by every word that proceedeth out of the mouth of God.',
    );


    public function __construct() {
        add_shortcode('kjv_verse_of_the_day', array($this, 'display_verse_of_the_day'));
    }

    public function display_verse_of_the_day() {
        $verse = $this->get_random_verse_of_the_day();
        ob_start();
        ?>
        <div class="kjv-verse-of-the-day">
            <p><strong><?php echo esc_html($verse['reference']); ?></strong>: "<?php echo esc_html($verse['text']); ?>" (KJV)</p>
        </div>
        <?php
        return ob_get_clean();
    }

    private function get_random_verse_of_the_day() {
        $date_seed = date('Ymd'); // Use today's date as the seed for randomness
        srand(hexdec(substr(md5($date_seed), 0, 8))); // Generate a predictable seed based on date
        $keys = array_keys($this->verses);
        $random_key = $keys[array_rand($keys)];
        return array('reference' => $random_key, 'text' => $this->verses[$random_key]);
    }
}

new KJV_Verse_Of_The_Day();
